Create Pickup Location API:
Use this API to Create Pickup Location at Rapidshyp.
Basic Information
| NAME | DETAILS |
|---|---|
| Usage: | Mandatory |
| URL: | https://api.rapidshyp.com/rapidshyp/apis/v1/create/pickup_location |
| Request Type: | POST |
| Scheme: | HTTPS |
| Header (content-type): | application/json |
| Header (rapidshyp-token): | API-Key |
Curl:
curl --location --globoff 'https://api.rapidshyp.com/rapidshyp/apis/v1/create/pickup_location' \
--header 'rapidshyp-token: {{WR}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"address_name": "Warehouse1",
"contact_name": "Cristiano Ronaldo",
"contact_number": "9999999999",
"email": "john.doe@example.com",
"address_line": "123 Main St",
"address_line2": "Suite 100",
"pincode": "110001",
"gstin": "24AAACO4716C1ZZ",
"dropship_location": true,
"use_alt_rto_address": true,
"rto_address": "",
"create_rto_address": {
"rto_address_name": "Warehouse2",
"rto_contact_name": "Sergio Ramos",
"rto_contact_number": "9999999999",
"rto_email": "jane.smith@example.com",
"rto_address_line": "456 RTO Rd",
"rto_address_line2": "Building B",
"rto_pincode": "110001",
"rto_gstin": ""
}
}'
| Request Parameters | Required | Remark | Validation |
|---|---|---|---|
| address_name | Mandatory | Define a name to the warehouse/store/pickup location | Minimum 1 character |
| contact_name | Mandatory | Warehouse manager name | Only alphabets allowed |
| contact_number | Mandatory | Contact number of the POC at warehouse | Should start with 7, 8, 9 and should be 10 digits |
| Non-Mandatory | Email of the POC at warehouse | ||
| address_line1 | Mandatory | Warehouse/store address line 1 | Pickup address line 1 must be between 3 and 100 characters long |
| address_line2 | Non-Mandatory | Warehouse/store address line 1 | Pickup address line 1 must be between 3 and 100 characters long |
| pincode | Mandatory | Location Pincode | Must be 6-digit valid pincode |
| gstin | Non-Mandatory | Location GSTIN if any | Valid GSTIN number |
| dropship_location | Non-Mandatory | Mark true if the location is a drop ship location | Accepts boolean value |
| use_alt_rto_address | Mandatory | Seller can map different RTO location against a pickup location. In case RTO location is same, mark this field as False | Accepts boolean value |
| rto_address | Conditional-Mandatory | Use to map already defined RTO address against the pickup location | |
| create_rto_address | Conditional-Mandatory | ||
{ | |||
| rto_address_name | Mandatory | Define a name to the warehouse/store/pickup location | Minimum 1 character |
| rto_contact_name | Mandatory | Warehouse manager name | Only alphabets allowed |
| rto_contact_number | Mandatory | Contact number of the POC at warehouse | Should start with 7, 8, 9 and should be 10 digits |
| rto_email | Non-Mandatory | Email of the POC at warehouse | |
| rto_address_line | Mandatory | Warehouse/store address line 1 | Shipping address line 1 must be between 3 and 100 characters long |
| rto_address_line2 | Non-Mandatory | Warehouse/store address line 2 | If entered, Shipping address line 2 must be between 3 and 100 characters long |
| rto_pincode | Mandatory | Location Pincode | Must be 6-digit valid pincode |
| rto_gstin | Non-Mandatory | Location GSTIN if any | Valid GSTIN number |
} |
Response:
JSON
{
"status": "success",
"remark": "Address created successfully",
"pickup_location_name": "Warehouse1",
"rto_location_name": "Warehouse2"
}